/*
 * Copyright 2018 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/* GPIO_AD_B0_07 (number 101), UART1_RXD/J17[4] */
#define BOARD_INITDEBUG_UART_UART1_RXD_PERIPHERAL                        LPUART1   /*!< Device name: LPUART1 */
#define BOARD_INITDEBUG_UART_UART1_RXD_SIGNAL                                 RX   /*!< LPUART1 signal: RX */
#define BOARD_INITDEBUG_UART_UART1_RXD_PIN_NAME                    GPIO_AD_B0_07   /*!< Pin name */
#define BOARD_INITDEBUG_UART_UART1_RXD_LABEL                  "UART1_RXD/J17[4]"   /*!< Label */
#define BOARD_INITDEBUG_UART_UART1_RXD_NAME                          "UART1_RXD"   /*!< Identifier name */

/* GPIO_AD_B0_06 (number 105), UART1_TXD/J17[6] */
#define BOARD_INITDEBUG_UART_UART1_TXD_PERIPHERAL                        LPUART1   /*!< Device name: LPUART1 */
#define BOARD_INITDEBUG_UART_UART1_TXD_SIGNAL                                 TX   /*!< LPUART1 signal: TX */
#define BOARD_INITDEBUG_UART_UART1_TXD_PIN_NAME                    GPIO_AD_B0_06   /*!< Pin name */
#define BOARD_INITDEBUG_UART_UART1_TXD_LABEL                  "UART1_TXD/J17[6]"   /*!< Label */
#define BOARD_INITDEBUG_UART_UART1_TXD_NAME                          "UART1_TXD"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/* GPIO_EMC_16 (number 142), SEMC_A0/U14[23]/BOOT_MODE[0] */
#define BOARD_INITSDRAM_SEMC_A0_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A0_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A0_CHANNEL                                       0U   /*!< SEMC ADDR channel: 00 */
#define BOARD_INITSDRAM_SEMC_A0_PIN_NAME                             GPIO_EMC_16   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A0_LABEL             "SEMC_A0/U14[23]/BOOT_MODE[0]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A0_NAME                                   "SEMC_A0"   /*!< Identifier name */

/* GPIO_EMC_17 (number 141), SEMC_A1/U14[24]/BOOT_MODE[1] */
#define BOARD_INITSDRAM_SEMC_A1_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A1_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A1_CHANNEL                                       1U   /*!< SEMC ADDR channel: 01 */
#define BOARD_INITSDRAM_SEMC_A1_PIN_NAME                             GPIO_EMC_17   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A1_LABEL             "SEMC_A1/U14[24]/BOOT_MODE[1]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A1_NAME                                   "SEMC_A1"   /*!< Identifier name */

/* GPIO_EMC_18 (number 140), SEMC_A2/U14[25]/BT_CFG[0] */
#define BOARD_INITSDRAM_SEMC_A2_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A2_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A2_CHANNEL                                       2U   /*!< SEMC ADDR channel: 02 */
#define BOARD_INITSDRAM_SEMC_A2_PIN_NAME                             GPIO_EMC_18   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A2_LABEL                "SEMC_A2/U14[25]/BT_CFG[0]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A2_NAME                                   "SEMC_A2"   /*!< Identifier name */

/* GPIO_EMC_19 (number 139), SEMC_A3/U14[26]/BT_CFG[1] */
#define BOARD_INITSDRAM_SEMC_A3_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A3_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A3_CHANNEL                                       3U   /*!< SEMC ADDR channel: 03 */
#define BOARD_INITSDRAM_SEMC_A3_PIN_NAME                             GPIO_EMC_19   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A3_LABEL                "SEMC_A3/U14[26]/BT_CFG[1]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A3_NAME                                   "SEMC_A3"   /*!< Identifier name */

/* GPIO_EMC_20 (number 138), SEMC_A4/U14[29]/BT_CFG[2] */
#define BOARD_INITSDRAM_SEMC_A4_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A4_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A4_CHANNEL                                       4U   /*!< SEMC ADDR channel: 04 */
#define BOARD_INITSDRAM_SEMC_A4_PIN_NAME                             GPIO_EMC_20   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A4_LABEL                "SEMC_A4/U14[29]/BT_CFG[2]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A4_NAME                                   "SEMC_A4"   /*!< Identifier name */

/* GPIO_EMC_22 (number 136), SEMC_A6/U14[31]/BT_CFG[4] */
#define BOARD_INITSDRAM_SEMC_A6_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A6_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A6_CHANNEL                                       6U   /*!< SEMC ADDR channel: 06 */
#define BOARD_INITSDRAM_SEMC_A6_PIN_NAME                             GPIO_EMC_22   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A6_LABEL                "SEMC_A6/U14[31]/BT_CFG[4]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A6_NAME                                   "SEMC_A6"   /*!< Identifier name */

/* GPIO_EMC_21 (number 137), SEMC_A5/U14[30]/BT_CFG[3] */
#define BOARD_INITSDRAM_SEMC_A5_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A5_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A5_CHANNEL                                       5U   /*!< SEMC ADDR channel: 05 */
#define BOARD_INITSDRAM_SEMC_A5_PIN_NAME                             GPIO_EMC_21   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A5_LABEL                "SEMC_A5/U14[30]/BT_CFG[3]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A5_NAME                                   "SEMC_A5"   /*!< Identifier name */

/* GPIO_EMC_23 (number 133), SEMC_A7/U14[32]/BT_CFG[5] */
#define BOARD_INITSDRAM_SEMC_A7_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A7_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A7_CHANNEL                                       7U   /*!< SEMC ADDR channel: 07 */
#define BOARD_INITSDRAM_SEMC_A7_PIN_NAME                             GPIO_EMC_23   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A7_LABEL                "SEMC_A7/U14[32]/BT_CFG[5]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A7_NAME                                   "SEMC_A7"   /*!< Identifier name */

/* GPIO_EMC_24 (number 132), SEMC_A8/U14[33]/BT_CFG[6] */
#define BOARD_INITSDRAM_SEMC_A8_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A8_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A8_CHANNEL                                       8U   /*!< SEMC ADDR channel: 08 */
#define BOARD_INITSDRAM_SEMC_A8_PIN_NAME                             GPIO_EMC_24   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A8_LABEL                "SEMC_A8/U14[33]/BT_CFG[6]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A8_NAME                                   "SEMC_A8"   /*!< Identifier name */

/* GPIO_EMC_25 (number 131), SEMC_A9/U14[34]/BT_CFG[7] */
#define BOARD_INITSDRAM_SEMC_A9_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A9_SIGNAL                                      ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A9_CHANNEL                                       9U   /*!< SEMC ADDR channel: 09 */
#define BOARD_INITSDRAM_SEMC_A9_PIN_NAME                             GPIO_EMC_25   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A9_LABEL                "SEMC_A9/U14[34]/BT_CFG[7]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A9_NAME                                   "SEMC_A9"   /*!< Identifier name */

/* GPIO_EMC_15 (number 143), SEMC_A10/U14[22] */
#define BOARD_INITSDRAM_SEMC_A10_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A10_SIGNAL                                     ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A10_CHANNEL                                     10U   /*!< SEMC ADDR channel: 10 */
#define BOARD_INITSDRAM_SEMC_A10_PIN_NAME                            GPIO_EMC_15   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A10_LABEL                        "SEMC_A10/U14[22]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A10_NAME                                 "SEMC_A10"   /*!< Identifier name */

/* GPIO_EMC_26 (number 130), SEMC_A11/U14[35]/BT_CFG[8] */
#define BOARD_INITSDRAM_SEMC_A11_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A11_SIGNAL                                     ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A11_CHANNEL                                     11U   /*!< SEMC ADDR channel: 11 */
#define BOARD_INITSDRAM_SEMC_A11_PIN_NAME                            GPIO_EMC_26   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A11_LABEL              "SEMC_A11/U14[35]/BT_CFG[8]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A11_NAME                                 "SEMC_A11"   /*!< Identifier name */

/* GPIO_EMC_27 (number 129), SEMC_A12/U14[36]/BT_CFG[9] */
#define BOARD_INITSDRAM_SEMC_A12_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_A12_SIGNAL                                     ADDR   /*!< SEMC signal: ADDR */
#define BOARD_INITSDRAM_SEMC_A12_CHANNEL                                     12U   /*!< SEMC ADDR channel: 12 */
#define BOARD_INITSDRAM_SEMC_A12_PIN_NAME                            GPIO_EMC_27   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_A12_LABEL              "SEMC_A12/U14[36]/BT_CFG[9]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_A12_NAME                                 "SEMC_A12"   /*!< Identifier name */

/* GPIO_EMC_13 (number 2), SEMC_BA0/U14[20] */
#define BOARD_INITSDRAM_SEMC_BA0_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_BA0_SIGNAL                                       BA   /*!< SEMC signal: BA */
#define BOARD_INITSDRAM_SEMC_BA0_CHANNEL                                      0U   /*!< SEMC BA channel: 0 */
#define BOARD_INITSDRAM_SEMC_BA0_PIN_NAME                            GPIO_EMC_13   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_BA0_LABEL                        "SEMC_BA0/U14[20]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_BA0_NAME                                 "SEMC_BA0"   /*!< Identifier name */

/* GPIO_EMC_14 (number 1), SEMC_BA1/U14[21] */
#define BOARD_INITSDRAM_SEMC_BA1_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_BA1_SIGNAL                                       BA   /*!< SEMC signal: BA */
#define BOARD_INITSDRAM_SEMC_BA1_CHANNEL                                      1U   /*!< SEMC BA channel: 1 */
#define BOARD_INITSDRAM_SEMC_BA1_PIN_NAME                            GPIO_EMC_14   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_BA1_LABEL                        "SEMC_BA1/U14[21]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_BA1_NAME                                 "SEMC_BA1"   /*!< Identifier name */

/* GPIO_EMC_10 (number 7), SEMC_CAS/U14[17] */
#define BOARD_INITSDRAM_SEMC_CAS_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_CAS_SIGNAL                                 semc_cas   /*!< SEMC signal: semc_cas */
#define BOARD_INITSDRAM_SEMC_CAS_PIN_NAME                            GPIO_EMC_10   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_CAS_LABEL                        "SEMC_CAS/U14[17]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_CAS_NAME                                 "SEMC_CAS"   /*!< Identifier name */

/* GPIO_EMC_29 (number 127), SEMC_CKE/U14[37] */
#define BOARD_INITSDRAM_SEMC_CKE_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_CKE_SIGNAL                                 semc_cke   /*!< SEMC signal: semc_cke */
#define BOARD_INITSDRAM_SEMC_CKE_PIN_NAME                            GPIO_EMC_29   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_CKE_LABEL                        "SEMC_CKE/U14[37]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_CKE_NAME                                 "SEMC_CKE"   /*!< Identifier name */

/* GPIO_EMC_30 (number 126), SEMC_CLK/U14[38] */
#define BOARD_INITSDRAM_SEMC_CLK_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_CLK_SIGNAL                                 semc_clk   /*!< SEMC signal: semc_clk */
#define BOARD_INITSDRAM_SEMC_CLK_PIN_NAME                            GPIO_EMC_30   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_CLK_LABEL                        "SEMC_CLK/U14[38]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_CLK_NAME                                 "SEMC_CLK"   /*!< Identifier name */

/* GPIO_EMC_12 (number 3), SEMC_CS0/U14[19] */
#define BOARD_INITSDRAM_SEMC_CS0_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_CS0_SIGNAL                                       CS   /*!< SEMC signal: CS */
#define BOARD_INITSDRAM_SEMC_CS0_CHANNEL                                      0U   /*!< SEMC CS channel: 0 */
#define BOARD_INITSDRAM_SEMC_CS0_PIN_NAME                            GPIO_EMC_12   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_CS0_LABEL                        "SEMC_CS0/U14[19]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_CS0_NAME                                 "SEMC_CS0"   /*!< Identifier name */

/* GPIO_EMC_09 (number 8), SEMC_WE/U14[16] */
#define BOARD_INITSDRAM_SEMC_WE_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_WE_SIGNAL                                   semc_we   /*!< SEMC signal: semc_we */
#define BOARD_INITSDRAM_SEMC_WE_PIN_NAME                             GPIO_EMC_09   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_WE_LABEL                          "SEMC_WE/U14[16]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_WE_NAME                                   "SEMC_WE"   /*!< Identifier name */

/* GPIO_EMC_11 (number 4), SEMC_RAS/U14[18] */
#define BOARD_INITSDRAM_SEMC_RAS_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_RAS_SIGNAL                                 semc_ras   /*!< SEMC signal: semc_ras */
#define BOARD_INITSDRAM_SEMC_RAS_PIN_NAME                            GPIO_EMC_11   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_RAS_LABEL                        "SEMC_RAS/U14[18]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_RAS_NAME                                 "SEMC_RAS"   /*!< Identifier name */

/* GPIO_EMC_28 (number 128), SEMC_DQS */
#define BOARD_INITSDRAM_SEMC_DQS_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_DQS_SIGNAL                                 semc_dqs   /*!< SEMC signal: semc_dqs */
#define BOARD_INITSDRAM_SEMC_DQS_PIN_NAME                            GPIO_EMC_28   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_DQS_LABEL                                "SEMC_DQS"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_DQS_NAME                                 "SEMC_DQS"   /*!< Identifier name */

/* GPIO_EMC_31 (number 125), SEMC_DM1/U14[39] */
#define BOARD_INITSDRAM_SEMC_DM1_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_DM1_SIGNAL                                       DM   /*!< SEMC signal: DM */
#define BOARD_INITSDRAM_SEMC_DM1_CHANNEL                                      1U   /*!< SEMC DM channel: 1 */
#define BOARD_INITSDRAM_SEMC_DM1_PIN_NAME                            GPIO_EMC_31   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_DM1_LABEL                        "SEMC_DM1/U14[39]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_DM1_NAME                                 "SEMC_DM1"   /*!< Identifier name */

/* GPIO_EMC_08 (number 9), SEMC_DM0/U14[15] */
#define BOARD_INITSDRAM_SEMC_DM0_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_DM0_SIGNAL                                       DM   /*!< SEMC signal: DM */
#define BOARD_INITSDRAM_SEMC_DM0_CHANNEL                                      0U   /*!< SEMC DM channel: 0 */
#define BOARD_INITSDRAM_SEMC_DM0_PIN_NAME                            GPIO_EMC_08   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_DM0_LABEL                        "SEMC_DM0/U14[15]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_DM0_NAME                                 "SEMC_DM0"   /*!< Identifier name */

/* GPIO_EMC_39 (number 117), SEMC_D15/U14[53] */
#define BOARD_INITSDRAM_SEMC_D15_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D15_SIGNAL                                     DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D15_CHANNEL                                     15U   /*!< SEMC DATA channel: 15 */
#define BOARD_INITSDRAM_SEMC_D15_PIN_NAME                            GPIO_EMC_39   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D15_LABEL                        "SEMC_D15/U14[53]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D15_NAME                                 "SEMC_D15"   /*!< Identifier name */

/* GPIO_EMC_38 (number 118), SEMC_D14/U14[51] */
#define BOARD_INITSDRAM_SEMC_D14_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D14_SIGNAL                                     DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D14_CHANNEL                                     14U   /*!< SEMC DATA channel: 14 */
#define BOARD_INITSDRAM_SEMC_D14_PIN_NAME                            GPIO_EMC_38   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D14_LABEL                        "SEMC_D14/U14[51]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D14_NAME                                 "SEMC_D14"   /*!< Identifier name */

/* GPIO_EMC_37 (number 119), SEMC_D13/U14[50] */
#define BOARD_INITSDRAM_SEMC_D13_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D13_SIGNAL                                     DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D13_CHANNEL                                     13U   /*!< SEMC DATA channel: 13 */
#define BOARD_INITSDRAM_SEMC_D13_PIN_NAME                            GPIO_EMC_37   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D13_LABEL                        "SEMC_D13/U14[50]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D13_NAME                                 "SEMC_D13"   /*!< Identifier name */

/* GPIO_EMC_36 (number 120), SEMC_D12/U14[48] */
#define BOARD_INITSDRAM_SEMC_D12_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D12_SIGNAL                                     DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D12_CHANNEL                                     12U   /*!< SEMC DATA channel: 12 */
#define BOARD_INITSDRAM_SEMC_D12_PIN_NAME                            GPIO_EMC_36   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D12_LABEL                        "SEMC_D12/U14[48]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D12_NAME                                 "SEMC_D12"   /*!< Identifier name */

/* GPIO_EMC_34 (number 122), SEMC_D10/U14[45] */
#define BOARD_INITSDRAM_SEMC_D10_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D10_SIGNAL                                     DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D10_CHANNEL                                     10U   /*!< SEMC DATA channel: 10 */
#define BOARD_INITSDRAM_SEMC_D10_PIN_NAME                            GPIO_EMC_34   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D10_LABEL                        "SEMC_D10/U14[45]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D10_NAME                                 "SEMC_D10"   /*!< Identifier name */

/* GPIO_EMC_35 (number 121), SEMC_D11/U14[47] */
#define BOARD_INITSDRAM_SEMC_D11_PERIPHERAL                                 SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D11_SIGNAL                                     DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D11_CHANNEL                                     11U   /*!< SEMC DATA channel: 11 */
#define BOARD_INITSDRAM_SEMC_D11_PIN_NAME                            GPIO_EMC_35   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D11_LABEL                        "SEMC_D11/U14[47]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D11_NAME                                 "SEMC_D11"   /*!< Identifier name */

/* GPIO_EMC_33 (number 123), SEMC_D9/U14[44] */
#define BOARD_INITSDRAM_SEMC_D9_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D9_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D9_CHANNEL                                       9U   /*!< SEMC DATA channel: 09 */
#define BOARD_INITSDRAM_SEMC_D9_PIN_NAME                             GPIO_EMC_33   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D9_LABEL                          "SEMC_D9/U14[44]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D9_NAME                                   "SEMC_D9"   /*!< Identifier name */

/* GPIO_EMC_32 (number 124), SEMC_D8/U14[42] */
#define BOARD_INITSDRAM_SEMC_D8_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D8_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D8_CHANNEL                                       8U   /*!< SEMC DATA channel: 08 */
#define BOARD_INITSDRAM_SEMC_D8_PIN_NAME                             GPIO_EMC_32   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D8_LABEL                          "SEMC_D8/U14[42]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D8_NAME                                   "SEMC_D8"   /*!< Identifier name */

/* GPIO_EMC_07 (number 10), SEMC_D7/U14[13] */
#define BOARD_INITSDRAM_SEMC_D7_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D7_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D7_CHANNEL                                       7U   /*!< SEMC DATA channel: 07 */
#define BOARD_INITSDRAM_SEMC_D7_PIN_NAME                             GPIO_EMC_07   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D7_LABEL                          "SEMC_D7/U14[13]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D7_NAME                                   "SEMC_D7"   /*!< Identifier name */

/* GPIO_EMC_06 (number 12), SEMC_D6/U14[11] */
#define BOARD_INITSDRAM_SEMC_D6_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D6_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D6_CHANNEL                                       6U   /*!< SEMC DATA channel: 06 */
#define BOARD_INITSDRAM_SEMC_D6_PIN_NAME                             GPIO_EMC_06   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D6_LABEL                          "SEMC_D6/U14[11]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D6_NAME                                   "SEMC_D6"   /*!< Identifier name */

/* GPIO_EMC_05 (number 13), SEMC_D5/U14[10] */
#define BOARD_INITSDRAM_SEMC_D5_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D5_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D5_CHANNEL                                       5U   /*!< SEMC DATA channel: 05 */
#define BOARD_INITSDRAM_SEMC_D5_PIN_NAME                             GPIO_EMC_05   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D5_LABEL                          "SEMC_D5/U14[10]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D5_NAME                                   "SEMC_D5"   /*!< Identifier name */

/* GPIO_EMC_04 (number 14), SEMC_D4/U14[8] */
#define BOARD_INITSDRAM_SEMC_D4_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D4_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D4_CHANNEL                                       4U   /*!< SEMC DATA channel: 04 */
#define BOARD_INITSDRAM_SEMC_D4_PIN_NAME                             GPIO_EMC_04   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D4_LABEL                           "SEMC_D4/U14[8]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D4_NAME                                   "SEMC_D4"   /*!< Identifier name */

/* GPIO_EMC_03 (number 15), SEMC_D3/U14[7] */
#define BOARD_INITSDRAM_SEMC_D3_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D3_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D3_CHANNEL                                       3U   /*!< SEMC DATA channel: 03 */
#define BOARD_INITSDRAM_SEMC_D3_PIN_NAME                             GPIO_EMC_03   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D3_LABEL                           "SEMC_D3/U14[7]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D3_NAME                                   "SEMC_D3"   /*!< Identifier name */

/* GPIO_EMC_02 (number 16), SEMC_D2/U14[5] */
#define BOARD_INITSDRAM_SEMC_D2_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D2_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D2_CHANNEL                                       2U   /*!< SEMC DATA channel: 02 */
#define BOARD_INITSDRAM_SEMC_D2_PIN_NAME                             GPIO_EMC_02   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D2_LABEL                           "SEMC_D2/U14[5]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D2_NAME                                   "SEMC_D2"   /*!< Identifier name */

/* GPIO_EMC_01 (number 17), SEMC_D1/U14[4] */
#define BOARD_INITSDRAM_SEMC_D1_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D1_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D1_CHANNEL                                       1U   /*!< SEMC DATA channel: 01 */
#define BOARD_INITSDRAM_SEMC_D1_PIN_NAME                             GPIO_EMC_01   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D1_LABEL                           "SEMC_D1/U14[4]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D1_NAME                                   "SEMC_D1"   /*!< Identifier name */

/* GPIO_EMC_00 (number 18), SEMC_D0/U14[2] */
#define BOARD_INITSDRAM_SEMC_D0_PERIPHERAL                                  SEMC   /*!< Device name: SEMC */
#define BOARD_INITSDRAM_SEMC_D0_SIGNAL                                      DATA   /*!< SEMC signal: DATA */
#define BOARD_INITSDRAM_SEMC_D0_CHANNEL                                       0U   /*!< SEMC DATA channel: 00 */
#define BOARD_INITSDRAM_SEMC_D0_PIN_NAME                             GPIO_EMC_00   /*!< Pin name */
#define BOARD_INITSDRAM_SEMC_D0_LABEL                           "SEMC_D0/U14[2]"   /*!< Label */
#define BOARD_INITSDRAM_SEMC_D0_NAME                                   "SEMC_D0"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDRAM(void);

/* GPIO_SD_B1_01 (number 32), CAN1_RX/U9[4] */
#define BOARD_INITCAN_CAN1_RX_PERIPHERAL                                    CAN1   /*!< Device name: CAN1 */
#define BOARD_INITCAN_CAN1_RX_SIGNAL                                          RX   /*!< CAN1 signal: RX */
#define BOARD_INITCAN_CAN1_RX_PIN_NAME                             GPIO_SD_B1_01   /*!< Pin name */
#define BOARD_INITCAN_CAN1_RX_LABEL                              "CAN1_RX/U9[4]"   /*!< Label */
#define BOARD_INITCAN_CAN1_RX_NAME                                     "CAN1_RX"   /*!< Identifier name */

/* GPIO_SD_B1_00 (number 33), CAN1_TX/U9[1] */
#define BOARD_INITCAN_CAN1_TX_PERIPHERAL                                    CAN1   /*!< Device name: CAN1 */
#define BOARD_INITCAN_CAN1_TX_SIGNAL                                          TX   /*!< CAN1 signal: TX */
#define BOARD_INITCAN_CAN1_TX_PIN_NAME                             GPIO_SD_B1_00   /*!< Pin name */
#define BOARD_INITCAN_CAN1_TX_LABEL                              "CAN1_TX/U9[1]"   /*!< Label */
#define BOARD_INITCAN_CAN1_TX_NAME                                     "CAN1_TX"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitCAN(void);

/* GPIO_AD_B0_11 (number 97), ENET_CRS_DV/U11[18]/J19[3] */
#define BOARD_INITENET_ENET_CRS_DV_PERIPHERAL                               ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_CRS_DV_SIGNAL                             enet_rx_en   /*!< ENET signal: enet_rx_en */
#define BOARD_INITENET_ENET_CRS_DV_PIN_NAME                        GPIO_AD_B0_11   /*!< Pin name */
#define BOARD_INITENET_ENET_CRS_DV_LABEL            "ENET_CRS_DV/U11[18]/J19[3]"   /*!< Label */
#define BOARD_INITENET_ENET_CRS_DV_NAME                            "ENET_CRS_DV"   /*!< Identifier name */

/* GPIO_AD_B1_06 (number 84), ENET_INT/U11[21]/J17[8] */
#define BOARD_INITENET_ENET_INT_GPIO                                       GPIO1   /*!< GPIO device name: GPIO1 */
#define BOARD_INITENET_ENET_INT_PORT                                       GPIO1   /*!< PORT device name: GPIO1 */
#define BOARD_INITENET_ENET_INT_GPIO_PIN                                     22U   /*!< GPIO1 pin index: 22 */
#define BOARD_INITENET_ENET_INT_PIN_NAME                           GPIO_AD_B1_06   /*!< Pin name */
#define BOARD_INITENET_ENET_INT_LABEL                  "ENET_INT/U11[21]/J17[8]"   /*!< Label */
#define BOARD_INITENET_ENET_INT_NAME                                  "ENET_INT"   /*!< Identifier name */

/* GPIO_AD_B0_04 (number 107), JTAG_TDO/J16[13]/ENET_RST/U11[32] */
#define BOARD_INITENET_ENET_RST_GPIO                                       GPIO1   /*!< GPIO device name: GPIO1 */
#define BOARD_INITENET_ENET_RST_PORT                                       GPIO1   /*!< PORT device name: GPIO1 */
#define BOARD_INITENET_ENET_RST_GPIO_PIN                                      4U   /*!< GPIO1 pin index: 4 */
#define BOARD_INITENET_ENET_RST_PIN_NAME                           GPIO_AD_B0_04   /*!< Pin name */
#define BOARD_INITENET_ENET_RST_LABEL        "JTAG_TDO/J16[13]/ENET_RST/U11[32]"   /*!< Label */
#define BOARD_INITENET_ENET_RST_NAME                                  "ENET_RST"   /*!< Identifier name */

/* GPIO_AD_B0_08 (number 100), ENET_TX_CLK/U11[9] */
#define BOARD_INITENET_ENET_TX_CLK_PERIPHERAL                               ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_TX_CLK_SIGNAL                            enet_tx_clk   /*!< ENET signal: enet_tx_clk */
#define BOARD_INITENET_ENET_TX_CLK_PIN_NAME                        GPIO_AD_B0_08   /*!< Pin name */
#define BOARD_INITENET_ENET_TX_CLK_LABEL                    "ENET_TX_CLK/U11[9]"   /*!< Label */
#define BOARD_INITENET_ENET_TX_CLK_NAME                            "ENET_TX_CLK"   /*!< Identifier name */

/* GPIO_AD_B0_13 (number 95), ENET_TXEN/U11[23]/J19[5] */
#define BOARD_INITENET_ENET_TXEN_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_TXEN_SIGNAL                               enet_tx_en   /*!< ENET signal: enet_tx_en */
#define BOARD_INITENET_ENET_TXEN_PIN_NAME                          GPIO_AD_B0_13   /*!< Pin name */
#define BOARD_INITENET_ENET_TXEN_LABEL                "ENET_TXEN/U11[23]/J19[5]"   /*!< Label */
#define BOARD_INITENET_ENET_TXEN_NAME                                "ENET_TXEN"   /*!< Identifier name */

/* GPIO_AD_B0_15 (number 93), ENET_TXD1/U11[25]/J19[2] */
#define BOARD_INITENET_ENET_TXD1_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_TXD1_SIGNAL                             enet_tx_data   /*!< ENET signal: enet_tx_data */
#define BOARD_INITENET_ENET_TXD1_CHANNEL                                      1U   /*!< ENET enet_tx_data channel: 1 */
#define BOARD_INITENET_ENET_TXD1_PIN_NAME                          GPIO_AD_B0_15   /*!< Pin name */
#define BOARD_INITENET_ENET_TXD1_LABEL                "ENET_TXD1/U11[25]/J19[2]"   /*!< Label */
#define BOARD_INITENET_ENET_TXD1_NAME                                "ENET_TXD1"   /*!< Identifier name */

/* GPIO_AD_B0_14 (number 94), ENET_TXD0/U11[24]/J17[7] */
#define BOARD_INITENET_ENET_TXD0_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_TXD0_SIGNAL                             enet_tx_data   /*!< ENET signal: enet_tx_data */
#define BOARD_INITENET_ENET_TXD0_CHANNEL                                      0U   /*!< ENET enet_tx_data channel: 0 */
#define BOARD_INITENET_ENET_TXD0_PIN_NAME                          GPIO_AD_B0_14   /*!< Pin name */
#define BOARD_INITENET_ENET_TXD0_LABEL                "ENET_TXD0/U11[24]/J17[7]"   /*!< Label */
#define BOARD_INITENET_ENET_TXD0_NAME                                "ENET_TXD0"   /*!< Identifier name */

/* GPIO_AD_B0_12 (number 96), ENET_RXER/U11[20]/J19[4] */
#define BOARD_INITENET_ENET_RXER_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_RXER_SIGNAL                               enet_rx_er   /*!< ENET signal: enet_rx_er */
#define BOARD_INITENET_ENET_RXER_PIN_NAME                          GPIO_AD_B0_12   /*!< Pin name */
#define BOARD_INITENET_ENET_RXER_LABEL                "ENET_RXER/U11[20]/J19[4]"   /*!< Label */
#define BOARD_INITENET_ENET_RXER_NAME                                "ENET_RXER"   /*!< Identifier name */

/* GPIO_AD_B0_09 (number 99), ENET_RXD1/U11[15]/J17[3] */
#define BOARD_INITENET_ENET_RXD1_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_RXD1_SIGNAL                             enet_rx_data   /*!< ENET signal: enet_rx_data */
#define BOARD_INITENET_ENET_RXD1_CHANNEL                                      1U   /*!< ENET enet_rx_data channel: 1 */
#define BOARD_INITENET_ENET_RXD1_PIN_NAME                          GPIO_AD_B0_09   /*!< Pin name */
#define BOARD_INITENET_ENET_RXD1_LABEL                "ENET_RXD1/U11[15]/J17[3]"   /*!< Label */
#define BOARD_INITENET_ENET_RXD1_NAME                                "ENET_RXD1"   /*!< Identifier name */

/* GPIO_AD_B0_10 (number 98), ENET_RXD0/U11[16]/J19[6] */
#define BOARD_INITENET_ENET_RXD0_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_RXD0_SIGNAL                             enet_rx_data   /*!< ENET signal: enet_rx_data */
#define BOARD_INITENET_ENET_RXD0_CHANNEL                                      0U   /*!< ENET enet_rx_data channel: 0 */
#define BOARD_INITENET_ENET_RXD0_PIN_NAME                          GPIO_AD_B0_10   /*!< Pin name */
#define BOARD_INITENET_ENET_RXD0_LABEL                "ENET_RXD0/U11[16]/J19[6]"   /*!< Label */
#define BOARD_INITENET_ENET_RXD0_NAME                                "ENET_RXD0"   /*!< Identifier name */

/* GPIO_EMC_40 (number 116), ENET_MDIO/U11[11] */
#define BOARD_INITENET_ENET_MDIO_PERIPHERAL                                 ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_MDIO_SIGNAL                                enet_mdio   /*!< ENET signal: enet_mdio */
#define BOARD_INITENET_ENET_MDIO_PIN_NAME                            GPIO_EMC_40   /*!< Pin name */
#define BOARD_INITENET_ENET_MDIO_LABEL                       "ENET_MDIO/U11[11]"   /*!< Label */
#define BOARD_INITENET_ENET_MDIO_NAME                                "ENET_MDIO"   /*!< Identifier name */

/* GPIO_EMC_41 (number 115), ENET_MDC/U11[12] */
#define BOARD_INITENET_ENET_MDC_PERIPHERAL                                  ENET   /*!< Device name: ENET */
#define BOARD_INITENET_ENET_MDC_SIGNAL                                  enet_mdc   /*!< ENET signal: enet_mdc */
#define BOARD_INITENET_ENET_MDC_PIN_NAME                             GPIO_EMC_41   /*!< Pin name */
#define BOARD_INITENET_ENET_MDC_LABEL                         "ENET_MDC/U11[12]"   /*!< Label */
#define BOARD_INITENET_ENET_MDC_NAME                                  "ENET_MDC"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitENET(void);

/* GPIO_SD_B0_03 (number 45), SD1_CLK/J15[5] */
#define BOARD_INITUSDHC_SD1_CLK_PERIPHERAL                                USDHC1   /*!< Device name: USDHC1 */
#define BOARD_INITUSDHC_SD1_CLK_SIGNAL                                 usdhc_clk   /*!< USDHC1 signal: usdhc_clk */
#define BOARD_INITUSDHC_SD1_CLK_PIN_NAME                           GPIO_SD_B0_03   /*!< Pin name */
#define BOARD_INITUSDHC_SD1_CLK_LABEL                           "SD1_CLK/J15[5]"   /*!< Label */
#define BOARD_INITUSDHC_SD1_CLK_NAME                                   "SD1_CLK"   /*!< Identifier name */

/* GPIO_SD_B0_02 (number 46), SD1_CMD/J15[3] */
#define BOARD_INITUSDHC_SD1_CMD_PERIPHERAL                                USDHC1   /*!< Device name: USDHC1 */
#define BOARD_INITUSDHC_SD1_CMD_SIGNAL                                 usdhc_cmd   /*!< USDHC1 signal: usdhc_cmd */
#define BOARD_INITUSDHC_SD1_CMD_PIN_NAME                           GPIO_SD_B0_02   /*!< Pin name */
#define BOARD_INITUSDHC_SD1_CMD_LABEL                           "SD1_CMD/J15[3]"   /*!< Label */
#define BOARD_INITUSDHC_SD1_CMD_NAME                                   "SD1_CMD"   /*!< Identifier name */

/* GPIO_SD_B0_04 (number 43), SD1_D0/J15[7] */
#define BOARD_INITUSDHC_SD1_D0_PERIPHERAL                                 USDHC1   /*!< Device name: USDHC1 */
#define BOARD_INITUSDHC_SD1_D0_SIGNAL                                 usdhc_data   /*!< USDHC1 signal: usdhc_data */
#define BOARD_INITUSDHC_SD1_D0_CHANNEL                                        0U   /*!< USDHC1 usdhc_data channel: 0 */
#define BOARD_INITUSDHC_SD1_D0_PIN_NAME                            GPIO_SD_B0_04   /*!< Pin name */
#define BOARD_INITUSDHC_SD1_D0_LABEL                             "SD1_D0/J15[7]"   /*!< Label */
#define BOARD_INITUSDHC_SD1_D0_NAME                                     "SD1_D0"   /*!< Identifier name */

/* GPIO_SD_B0_05 (number 42), SD1_D1/J15[8] */
#define BOARD_INITUSDHC_SD1_D1_PERIPHERAL                                 USDHC1   /*!< Device name: USDHC1 */
#define BOARD_INITUSDHC_SD1_D1_SIGNAL                                 usdhc_data   /*!< USDHC1 signal: usdhc_data */
#define BOARD_INITUSDHC_SD1_D1_CHANNEL                                        1U   /*!< USDHC1 usdhc_data channel: 1 */
#define BOARD_INITUSDHC_SD1_D1_PIN_NAME                            GPIO_SD_B0_05   /*!< Pin name */
#define BOARD_INITUSDHC_SD1_D1_LABEL                             "SD1_D1/J15[8]"   /*!< Label */
#define BOARD_INITUSDHC_SD1_D1_NAME                                     "SD1_D1"   /*!< Identifier name */

/* GPIO_SD_B0_00 (number 48), SD1_D2/J15[1] */
#define BOARD_INITUSDHC_SD1_D2_PERIPHERAL                                 USDHC1   /*!< Device name: USDHC1 */
#define BOARD_INITUSDHC_SD1_D2_SIGNAL                                 usdhc_data   /*!< USDHC1 signal: usdhc_data */
#define BOARD_INITUSDHC_SD1_D2_CHANNEL                                        2U   /*!< USDHC1 usdhc_data channel: 2 */
#define BOARD_INITUSDHC_SD1_D2_PIN_NAME                            GPIO_SD_B0_00   /*!< Pin name */
#define BOARD_INITUSDHC_SD1_D2_LABEL                             "SD1_D2/J15[1]"   /*!< Label */
#define BOARD_INITUSDHC_SD1_D2_NAME                                     "SD1_D2"   /*!< Identifier name */

/* GPIO_SD_B0_01 (number 47), SD1_D3/J15[2] */
#define BOARD_INITUSDHC_SD1_D3_PERIPHERAL                                 USDHC1   /*!< Device name: USDHC1 */
#define BOARD_INITUSDHC_SD1_D3_SIGNAL                                 usdhc_data   /*!< USDHC1 signal: usdhc_data */
#define BOARD_INITUSDHC_SD1_D3_CHANNEL                                        3U   /*!< USDHC1 usdhc_data channel: 3 */
#define BOARD_INITUSDHC_SD1_D3_PIN_NAME                            GPIO_SD_B0_01   /*!< Pin name */
#define BOARD_INITUSDHC_SD1_D3_LABEL                             "SD1_D3/J15[2]"   /*!< Label */
#define BOARD_INITUSDHC_SD1_D3_NAME                                     "SD1_D3"   /*!< Identifier name */

/* GPIO_SD_B0_06 (number 41), SD_CD_SW/J15[9] */
#define BOARD_INITUSDHC_SD_CD_SW_GPIO                                      GPIO3   /*!< GPIO device name: GPIO3 */
#define BOARD_INITUSDHC_SD_CD_SW_PORT                                      GPIO3   /*!< PORT device name: GPIO3 */
#define BOARD_INITUSDHC_SD_CD_SW_GPIO_PIN                                    19U   /*!< GPIO3 pin index: 19 */
#define BOARD_INITUSDHC_SD_CD_SW_PIN_NAME                          GPIO_SD_B0_06   /*!< Pin name */
#define BOARD_INITUSDHC_SD_CD_SW_LABEL                         "SD_CD_SW/J15[9]"   /*!< Label */
#define BOARD_INITUSDHC_SD_CD_SW_NAME                                 "SD_CD_SW"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSDHC(void);

/* GPIO_SD_B1_07 (number 24), FlexSPI_CLK/U13[6] */
#define BOARD_INITQSPI_FlexSPI_CLK_PERIPHERAL                            FLEXSPI   /*!< Device name: FLEXSPI */
#define BOARD_INITQSPI_FlexSPI_CLK_SIGNAL                         FLEXSPI_A_SCLK   /*!< FLEXSPI signal: FLEXSPI_A_SCLK */
#define BOARD_INITQSPI_FlexSPI_CLK_PIN_NAME                        GPIO_SD_B1_07   /*!< Pin name */
#define BOARD_INITQSPI_FlexSPI_CLK_LABEL                    "FlexSPI_CLK/U13[6]"   /*!< Label */
#define BOARD_INITQSPI_FlexSPI_CLK_NAME                            "FlexSPI_CLK"   /*!< Identifier name */

/* GPIO_SD_B1_08 (number 23), FlexSPI_D0_A/U13[5] */
#define BOARD_INITQSPI_FlexSPI_D0_A_PERIPHERAL                           FLEXSPI   /*!< Device name: FLEXSPI */
#define BOARD_INITQSPI_FlexSPI_D0_A_SIGNAL                       FLEXSPI_A_DATA0   /*!< FLEXSPI signal: FLEXSPI_A_DATA0 */
#define BOARD_INITQSPI_FlexSPI_D0_A_PIN_NAME                       GPIO_SD_B1_08   /*!< Pin name */
#define BOARD_INITQSPI_FlexSPI_D0_A_LABEL                  "FlexSPI_D0_A/U13[5]"   /*!< Label */
#define BOARD_INITQSPI_FlexSPI_D0_A_NAME                          "FlexSPI_D0_A"   /*!< Identifier name */

/* GPIO_SD_B1_10 (number 21), FlexSPI_D1_A/U13[2] */
#define BOARD_INITQSPI_FlexSPI_D1_A_PERIPHERAL                           FLEXSPI   /*!< Device name: FLEXSPI */
#define BOARD_INITQSPI_FlexSPI_D1_A_SIGNAL                       FLEXSPI_A_DATA1   /*!< FLEXSPI signal: FLEXSPI_A_DATA1 */
#define BOARD_INITQSPI_FlexSPI_D1_A_PIN_NAME                       GPIO_SD_B1_10   /*!< Pin name */
#define BOARD_INITQSPI_FlexSPI_D1_A_LABEL                  "FlexSPI_D1_A/U13[2]"   /*!< Label */
#define BOARD_INITQSPI_FlexSPI_D1_A_NAME                          "FlexSPI_D1_A"   /*!< Identifier name */

/* GPIO_SD_B1_09 (number 22), FlexSPI_D2_A/U13[3] */
#define BOARD_INITQSPI_FlexSPI_D2_A_PERIPHERAL                           FLEXSPI   /*!< Device name: FLEXSPI */
#define BOARD_INITQSPI_FlexSPI_D2_A_SIGNAL                       FLEXSPI_A_DATA2   /*!< FLEXSPI signal: FLEXSPI_A_DATA2 */
#define BOARD_INITQSPI_FlexSPI_D2_A_PIN_NAME                       GPIO_SD_B1_09   /*!< Pin name */
#define BOARD_INITQSPI_FlexSPI_D2_A_LABEL                  "FlexSPI_D2_A/U13[3]"   /*!< Label */
#define BOARD_INITQSPI_FlexSPI_D2_A_NAME                          "FlexSPI_D2_A"   /*!< Identifier name */

/* GPIO_SD_B1_06 (number 25), FlexSPI_D3_A/U13[7] */
#define BOARD_INITQSPI_FlexSPI_D3_A_PERIPHERAL                           FLEXSPI   /*!< Device name: FLEXSPI */
#define BOARD_INITQSPI_FlexSPI_D3_A_SIGNAL                       FLEXSPI_A_DATA3   /*!< FLEXSPI signal: FLEXSPI_A_DATA3 */
#define BOARD_INITQSPI_FlexSPI_D3_A_PIN_NAME                       GPIO_SD_B1_06   /*!< Pin name */
#define BOARD_INITQSPI_FlexSPI_D3_A_LABEL                  "FlexSPI_D3_A/U13[7]"   /*!< Label */
#define BOARD_INITQSPI_FlexSPI_D3_A_NAME                          "FlexSPI_D3_A"   /*!< Identifier name */

/* GPIO_SD_B1_11 (number 19), FlexSPI_SS0/U13[1] */
#define BOARD_INITQSPI_FlexSPI_SS0_PERIPHERAL                            FLEXSPI   /*!< Device name: FLEXSPI */
#define BOARD_INITQSPI_FlexSPI_SS0_SIGNAL                        FLEXSPI_A_SS0_B   /*!< FLEXSPI signal: FLEXSPI_A_SS0_B */
#define BOARD_INITQSPI_FlexSPI_SS0_PIN_NAME                        GPIO_SD_B1_11   /*!< Pin name */
#define BOARD_INITQSPI_FlexSPI_SS0_LABEL                    "FlexSPI_SS0/U13[1]"   /*!< Label */
#define BOARD_INITQSPI_FlexSPI_SS0_NAME                            "FlexSPI_SS0"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQSPI(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
